| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyIntercept Class Reference
Intercept and Treatment

Modify Intercept request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
InterceptId | InterceptInfo
| Intercept Id. More...
xsd__int | Cycle
| The number of times that the intercept treatment sequence is applied. More...
xsd__int | Interval
| The time that silence between cycles shall last. More...
enum unsp__IsDefault | IsDefault
| Indicates whether or not the intercept may be used as default. More...
xsd__string | DefaultName
| Identifies a default intercept entry. More...
xsd__string | NewName
| New Intercept Name. More...

## Detailed Description

Modify Intercept request.

Used by unsp__modifyIntercept()

## Member Data Documentation

## ◆ Cycle

xsd__int unsp__ModifyIntercept::Cycle

The number of times that the intercept treatment sequence is applied.

This value is the same for all treatments assigned to the same intercept.
required: false
default value[range]: 1

## ◆ DefaultName

xsd__string unsp__ModifyIntercept::DefaultName

Identifies a default intercept entry.

If a DefaultName is assigned, then all of its corresponding assigned treatments also become the treatments used, unless they are explicitly modified to be different.
required: false
default value[range]: NA [1..15]

## ◆ InterceptInfo

InterceptId unsp__ModifyIntercept::InterceptInfo

Intercept Id.

required: true

## ◆ Interval

xsd__int unsp__ModifyIntercept::Interval

The time that silence between cycles shall last.

This value is the same for all treatments assigned to the same intercept.
required: false
default value[range]: 0

## ◆ IsDefault

enum unsp__IsDefault unsp__ModifyIntercept::IsDefault

Indicates whether or not the intercept may be used as default.

required: false

## ◆ NewName

xsd__string unsp__ModifyIntercept::NewName

New Intercept Name.

required: false
default value[range]: NA [1..15]

## ◆ OperatorId

xsd__string unsp__ModifyIntercept::OperatorId

Operator Id.

See also
  unsp__OperatorId

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h